gr::radar::transpose_matrix_vcvc Class Reference

This block transposes a matrix. A tagged stream combined with vectors as items represent a matrix. vlen_in is the vector length of the input data and vlen_out the vector length of the output data. vlen_out is equal to the items (vectors) per tagged stream on the input stream. More...

`#include <transpose_matrix_vcvc.h>`

Inheritance diagram for gr::radar::transpose_matrix_vcvc:

## Public Types

typedef std::shared_ptr< transpose_matrix_vcvc > | sptr

## Static Public Member Functions

static sptr | make (int vlen_in, int vlen_out, std::string len_key="packet_len")
| Return a shared_ptr to a new instance of radar::transpose_matrix_vcvc.

## Detailed Description

This block transposes a matrix. A tagged stream combined with vectors as items represent a matrix. vlen_in is the vector length of the input data and vlen_out the vector length of the output data. vlen_out is equal to the items (vectors) per tagged stream on the input stream.

Parameters

  vlen_in | Vector length input
  vlen_out | Vector length output
  len_key | Packet length key for tagged stream

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<transpose_matrix_vcvc> gr::radar::transpose_matrix_vcvc::sptr

## Member Function Documentation

## make()

sptr gr::radar::transpose_matrix_vcvc::make | ( | int | vlen_in,
|  | int | vlen_out,
|  | std::string | len_key = "packet_len" )

static

Return a shared_ptr to a new instance of radar::transpose_matrix_vcvc.

To avoid accidental use of raw pointers, radar::transpose_matrix_vcvc's constructor is in a private implementation class. radar::transpose_matrix_vcvc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- transpose_matrix_vcvc.h